Bug 801259 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/jlmeram89_40hotmail_2ecom at 0x2b9bc50>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:5476b2e6c3bf95098a205b31975...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 23:28 EST by Juan León
Modified: 2013-02-13 05:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:18:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan León 2012-03-07 23:28:12 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.2.7-1.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/jlmeram89_40hotmail_2ecom at 0x2b9bc50>
time:           mié 07 mar 2012 11:35:52 ECT
uid:            1000
username:       jleon

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/jlmeram89_40hotmail_2ecom at 0x2b9bc50>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/jlmeram89_40hotmail_2ecom at 0x2b9bc50>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x2b9b110>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/jlmeram89_40hotmail_2ecom at 0x2b9bc50>

smolt_data:
:
:
:General
:=================================
:UUID: f4384353-41cb-4414-a4fb-132a0612a1df
:SO: Fedora release 16 (Verne)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.utf8
:Plataforma: x86_64
:BogoMIPS: 4787.98
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Core(TM)2 Duo CPU     T8300  @ 2.40GHz
:Paso del UCP: 6
:Familia de UCP: 6
:Número de Modelo de CPU: 23
:Número de CPUs: 2
:Velocidad del CPU: 2400
:Memoria del Sistema: 3947
:Intercambio (swap) del Sistema: 5983
:Vendedor: Hewlett-Packard
:Sistema: HP Compaq 6710b (KQ241LA#ABM) F.15
:Factor de forma: Notebook
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(5348:5779:4156:12482) pci, tg3, ETHERNET, NetLink BCM5787M Gigabit Ethernet PCI Express
:(32902:10752:4156:12480) pci, agpgart-intel, HOST/PCI, Compaq 6710b
:(32902:10281:4156:12480) pci, ahci, STORAGE, Compaq 6710b
:(32902:10320:4156:12480) pci, ata_piix, STORAGE, Compaq 6710b
:(32902:10261:4156:12480) pci, None, PCI/ISA, Compaq 6710b
:(32902:10307:4156:12480) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 3
:(32902:9288:4156:12480) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(4480:1142:4156:12480) pci, yenta_cardbus, PCI/CARDBUS, Compaq 6710b
:(4480:2098:4156:12480) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(32902:10290:4156:12480) pci, uhci_hcd, USB, Compaq 6710b
:(32902:10294:4156:12480) pci, ehci_hcd, USB, Compaq 6710b
:(32902:10298:4156:12480) pci, ehci_hcd, USB, Compaq 6710b
:(32902:10754:4156:12480) pci, i915, VIDEO, Compaq 6710b
:(32902:10755:4156:12480) pci, None, VIDEO, Compaq 6710b
:(32902:10303:4156:12480) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:4156:12480) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10311:4156:12480) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 5
:(32902:10315:4156:12480) pci, snd_hda_intel, MULTIMEDIA, Compaq 6710b
:(32902:10289:4156:12480) pci, uhci_hcd, USB, Compaq 6710b
:(32902:10288:4156:12480) pci, uhci_hcd, USB, Compaq 6710b
:(32902:10292:4156:12480) pci, uhci_hcd, USB, Compaq 6710b
:(32902:10293:4156:12480) pci, uhci_hcd, USB, Compaq 6710b
:(32902:16937:32902:4096) pci, iwl4965, NETWORK, PRO/Wireless 4965 AG or AGN [Kedron] Network Connection
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 13081819 8874974 8219614 3276800 2778844 2778844
:/dev/sda2 /boot ext4 1024 1024 508745 409379 383779 128016 127785 127785
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 24259459 11181435 9966562 6078464 6017675 6017675
:
Comment 1 Fedora End Of Life 2013-01-16 06:09:08 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:18:03 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.